NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder Class Reference

Represents a NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder More...

Inheritance diagram for NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void InheritSettingsFromCustomerDefault ()
 Inherit Settings From Customer Default More...
 
unsafe void InheritSettingsFromPreferences ()
 Inherit Settings From Preference More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AutomaticallyStartInsert2DComponentCommand [get, set]
 Returns or sets the settings to determines whether or not automatically start insert 2D component command More...
 
unsafe int Color [get, set]
 Returns or sets the settings to specifies the 2D component curves color. More...
 
unsafe
NXOpen.Display.DynamicSectionTypes.CurveColorOption 
ColorOption [get, set]
 Returns or sets the settings to specifies how the color of the 2D component curves is defined. More...
 
unsafe bool CreateSingle2DComponentDefinition [get, set]
 Returns or sets the settings to determines whether or not create single 2D component definition More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder.InheritSettingsFromCustomerDefault ( )
inline

Inherit Settings From Customer Default

Created in NX11.0.0

License requirements: drafting ("DRAFTING")

unsafe void NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder.InheritSettingsFromPreferences ( )
inline

Inherit Settings From Preference

Created in NX11.0.0

License requirements: drafting ("DRAFTING")

unsafe bool NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder.AutomaticallyStartInsert2DComponentCommand
getset

Returns or sets the settings to determines whether or not automatically start insert 2D component command

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder.Color
getset

Returns or sets the settings to specifies the 2D component curves color.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Display.DynamicSectionTypes.CurveColorOption NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder.ColorOption
getset

Returns or sets the settings to specifies how the color of the 2D component curves is defined.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder.CreateSingle2DComponentDefinition
getset

Returns or sets the settings to determines whether or not create single 2D component definition

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.